﻿(function (angular) {
    'use strict';

    angular
        .module('airportDelay')

        .config(function ($stateProvider, $urlRouterProvider) {

            $stateProvider

              // setup an abstract state for the tabs directive
              .state('airport-info', {
                  url: '/airport',
                  abstract: true,
                  templateUrl: 'templates/airport-info-tmpl.html',
                  controller: 'AirportInfoCtrl'
              })

              // Each tab has its own nav history stack:
              .state('airport-info.status', {
                  url: '/status',
                  templateUrl: 'templates/airport-info-status-tmpl.html'
              })

              .state('airport-info.weather', {
                  url: '/weather',
                  templateUrl: 'templates/airport-info-weather-tmpl.html'
              });

            // if none of the above states are matched, use this as the fallback
            $urlRouterProvider.otherwise('/airport/status');
        });
})(angular);